<?php
$tdataseeker_info = array();
$tdataseeker_info[".searchableFields"] = array();
$tdataseeker_info[".ShortName"] = "seeker_info";
$tdataseeker_info[".OwnerID"] = "";
$tdataseeker_info[".OriginalTable"] = "seeker_info";


$tdataseeker_info[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataseeker_info[".originalPagesByType"] = $tdataseeker_info[".pagesByType"];
$tdataseeker_info[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataseeker_info[".originalPages"] = $tdataseeker_info[".pages"];
$tdataseeker_info[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataseeker_info[".originalDefaultPages"] = $tdataseeker_info[".defaultPages"];

//	field labels
$fieldLabelsseeker_info = array();
$fieldToolTipsseeker_info = array();
$pageTitlesseeker_info = array();
$placeHoldersseeker_info = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsseeker_info["English"] = array();
	$fieldToolTipsseeker_info["English"] = array();
	$placeHoldersseeker_info["English"] = array();
	$pageTitlesseeker_info["English"] = array();
	$fieldLabelsseeker_info["English"]["seeker_ID"] = "#";
	$fieldToolTipsseeker_info["English"]["seeker_ID"] = "";
	$placeHoldersseeker_info["English"]["seeker_ID"] = "";
	$fieldLabelsseeker_info["English"]["FirstName"] = "ຊື່";
	$fieldToolTipsseeker_info["English"]["FirstName"] = "";
	$placeHoldersseeker_info["English"]["FirstName"] = "";
	$fieldLabelsseeker_info["English"]["LastName"] = "ນາມສະກຸນ";
	$fieldToolTipsseeker_info["English"]["LastName"] = "";
	$placeHoldersseeker_info["English"]["LastName"] = "";
	$fieldLabelsseeker_info["English"]["Dob"] = "ວັນເດືອນປີເກີດ";
	$fieldToolTipsseeker_info["English"]["Dob"] = "";
	$placeHoldersseeker_info["English"]["Dob"] = "";
	$fieldLabelsseeker_info["English"]["age"] = "ອາຍຸ";
	$fieldToolTipsseeker_info["English"]["age"] = "";
	$placeHoldersseeker_info["English"]["age"] = "";
	$fieldLabelsseeker_info["English"]["PositionApplyID"] = "ຂົງເຂດວຽກ";
	$fieldToolTipsseeker_info["English"]["PositionApplyID"] = "";
	$placeHoldersseeker_info["English"]["PositionApplyID"] = "";
	$fieldLabelsseeker_info["English"]["SubpositionApplyID"] = "ຕໍາແໜ່ງວຽກ";
	$fieldToolTipsseeker_info["English"]["SubpositionApplyID"] = "";
	$placeHoldersseeker_info["English"]["SubpositionApplyID"] = "";
	$fieldLabelsseeker_info["English"]["Noted"] = "ລາຍລະອຽດ";
	$fieldToolTipsseeker_info["English"]["Noted"] = "";
	$placeHoldersseeker_info["English"]["Noted"] = "";
	$fieldLabelsseeker_info["English"]["StatusID"] = "Status ID";
	$fieldToolTipsseeker_info["English"]["StatusID"] = "";
	$placeHoldersseeker_info["English"]["StatusID"] = "";
	$fieldLabelsseeker_info["English"]["ProvinceID"] = "ແຂວງຢູ່ປະຈຸບັນ";
	$fieldToolTipsseeker_info["English"]["ProvinceID"] = "";
	$placeHoldersseeker_info["English"]["ProvinceID"] = "";
	$fieldLabelsseeker_info["English"]["DistrictID"] = "ເມືອງຢູ່ປະຈຸບັນ";
	$fieldToolTipsseeker_info["English"]["DistrictID"] = "";
	$placeHoldersseeker_info["English"]["DistrictID"] = "";
	$fieldLabelsseeker_info["English"]["VillageName"] = "ບ້ານ";
	$fieldToolTipsseeker_info["English"]["VillageName"] = "";
	$placeHoldersseeker_info["English"]["VillageName"] = "";
	$fieldLabelsseeker_info["English"]["SalepresentativeID"] = "ຜູ້ຕິດຕໍ່";
	$fieldToolTipsseeker_info["English"]["SalepresentativeID"] = "";
	$placeHoldersseeker_info["English"]["SalepresentativeID"] = "";
	$fieldLabelsseeker_info["English"]["resume"] = "ປະຫວັດ";
	$fieldToolTipsseeker_info["English"]["resume"] = "";
	$placeHoldersseeker_info["English"]["resume"] = "";
	if (count($fieldToolTipsseeker_info["English"]))
		$tdataseeker_info[".isUseToolTips"] = true;
}


	$tdataseeker_info[".NCSearch"] = true;



$tdataseeker_info[".shortTableName"] = "seeker_info";
$tdataseeker_info[".nSecOptions"] = 0;

$tdataseeker_info[".mainTableOwnerID"] = "";
$tdataseeker_info[".entityType"] = 0;
$tdataseeker_info[".connId"] = "eflejob_at_localhost";


$tdataseeker_info[".strOriginalTableName"] = "seeker_info";

	



$tdataseeker_info[".showAddInPopup"] = false;

$tdataseeker_info[".showEditInPopup"] = false;

$tdataseeker_info[".showViewInPopup"] = false;

	$tdataseeker_info[".listAjax"] = true;
//	temporary
//$tdataseeker_info[".listAjax"] = false;

	$tdataseeker_info[".audit"] = false;

	$tdataseeker_info[".locking"] = false;


$pages = $tdataseeker_info[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataseeker_info[".edit"] = true;
	$tdataseeker_info[".afterEditAction"] = 1;
	$tdataseeker_info[".closePopupAfterEdit"] = 1;
	$tdataseeker_info[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataseeker_info[".add"] = true;
$tdataseeker_info[".afterAddAction"] = 1;
$tdataseeker_info[".closePopupAfterAdd"] = 1;
$tdataseeker_info[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataseeker_info[".list"] = true;
}



$tdataseeker_info[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataseeker_info[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataseeker_info[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataseeker_info[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataseeker_info[".printFriendly"] = true;
}



$tdataseeker_info[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataseeker_info[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataseeker_info[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataseeker_info[".isUseAjaxSuggest"] = true;



			

$tdataseeker_info[".ajaxCodeSnippetAdded"] = false;

$tdataseeker_info[".buttonsAdded"] = false;

$tdataseeker_info[".addPageEvents"] = false;

// use timepicker for search panel
$tdataseeker_info[".isUseTimeForSearch"] = false;


$tdataseeker_info[".badgeColor"] = "EDCA00";


$tdataseeker_info[".allSearchFields"] = array();
$tdataseeker_info[".filterFields"] = array();
$tdataseeker_info[".requiredSearchFields"] = array();

$tdataseeker_info[".googleLikeFields"] = array();
$tdataseeker_info[".googleLikeFields"][] = "seeker_ID";
$tdataseeker_info[".googleLikeFields"][] = "FirstName";
$tdataseeker_info[".googleLikeFields"][] = "LastName";
$tdataseeker_info[".googleLikeFields"][] = "Dob";
$tdataseeker_info[".googleLikeFields"][] = "age";
$tdataseeker_info[".googleLikeFields"][] = "ProvinceID";
$tdataseeker_info[".googleLikeFields"][] = "DistrictID";
$tdataseeker_info[".googleLikeFields"][] = "VillageName";
$tdataseeker_info[".googleLikeFields"][] = "PositionApplyID";
$tdataseeker_info[".googleLikeFields"][] = "SubpositionApplyID";
$tdataseeker_info[".googleLikeFields"][] = "SalepresentativeID";
$tdataseeker_info[".googleLikeFields"][] = "Noted";
$tdataseeker_info[".googleLikeFields"][] = "resume";
$tdataseeker_info[".googleLikeFields"][] = "StatusID";



$tdataseeker_info[".tableType"] = "list";

$tdataseeker_info[".printerPageOrientation"] = 0;
$tdataseeker_info[".nPrinterPageScale"] = 100;

$tdataseeker_info[".nPrinterSplitRecords"] = 40;

$tdataseeker_info[".geocodingEnabled"] = false;










$tdataseeker_info[".pageSize"] = 20;

$tdataseeker_info[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataseeker_info[".strOrderBy"] = $tstrOrderBy;

$tdataseeker_info[".orderindexes"] = array();


$tdataseeker_info[".sqlHead"] = "SELECT seeker_ID,  	FirstName,  	LastName,  	Dob,  	age,  	ProvinceID,  	DistrictID,  	VillageName,  	PositionApplyID,  	SubpositionApplyID,  	SalepresentativeID,  	Noted,  	resume,  	StatusID";
$tdataseeker_info[".sqlFrom"] = "FROM seeker_info";
$tdataseeker_info[".sqlWhereExpr"] = "";
$tdataseeker_info[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataseeker_info[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataseeker_info[".arrGroupsPerPage"] = $arrGPP;

$tdataseeker_info[".highlightSearchResults"] = true;

$tableKeysseeker_info = array();
$tableKeysseeker_info[] = "seeker_ID";
$tdataseeker_info[".Keys"] = $tableKeysseeker_info;


$tdataseeker_info[".hideMobileList"] = array();




//	seeker_ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "seeker_ID";
	$fdata["GoodName"] = "seeker_ID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","seeker_ID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "seeker_ID";

		$fdata["sourceSingle"] = "seeker_ID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "seeker_ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["seeker_ID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "seeker_ID";
//	FirstName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "FirstName";
	$fdata["GoodName"] = "FirstName";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","FirstName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "FirstName";

		$fdata["sourceSingle"] = "FirstName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "FirstName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["FirstName"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "FirstName";
//	LastName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "LastName";
	$fdata["GoodName"] = "LastName";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","LastName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "LastName";

		$fdata["sourceSingle"] = "LastName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "LastName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["LastName"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "LastName";
//	Dob
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Dob";
	$fdata["GoodName"] = "Dob";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","Dob");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Dob";

		$fdata["sourceSingle"] = "Dob";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Dob";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["Dob"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "Dob";
//	age
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "age";
	$fdata["GoodName"] = "age";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","age");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "age";

		$fdata["sourceSingle"] = "age";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "age";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["age"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "age";
//	ProvinceID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "ProvinceID";
	$fdata["GoodName"] = "ProvinceID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","ProvinceID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "ProvinceID";

		$fdata["sourceSingle"] = "ProvinceID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ProvinceID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "province";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ProvinceID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "ProvinceName";

	

	
	$edata["LookupOrderBy"] = "";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "DistrictID";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["ProvinceID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "ProvinceID";
//	DistrictID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "DistrictID";
	$fdata["GoodName"] = "DistrictID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","DistrictID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "DistrictID";

		$fdata["sourceSingle"] = "DistrictID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DistrictID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "district";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "DistrictID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "DistrinctName";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "ProvinceID", "lookup" => "ProvinceID" );

		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["DistrictID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "DistrictID";
//	VillageName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "VillageName";
	$fdata["GoodName"] = "VillageName";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","VillageName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "VillageName";

		$fdata["sourceSingle"] = "VillageName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "VillageName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["VillageName"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "VillageName";
//	PositionApplyID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "PositionApplyID";
	$fdata["GoodName"] = "PositionApplyID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","PositionApplyID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "PositionApplyID";

		$fdata["sourceSingle"] = "PositionApplyID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PositionApplyID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "categoryjob";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CategoryjobID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "CategoryjobName";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "SubpositionApplyID";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["PositionApplyID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "PositionApplyID";
//	SubpositionApplyID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "SubpositionApplyID";
	$fdata["GoodName"] = "SubpositionApplyID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","SubpositionApplyID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "SubpositionApplyID";

		$fdata["sourceSingle"] = "SubpositionApplyID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SubpositionApplyID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "categoryjobsub";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "subID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "SubName";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "PositionApplyID", "lookup" => "CategoryjobID" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["SubpositionApplyID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "SubpositionApplyID";
//	SalepresentativeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "SalepresentativeID";
	$fdata["GoodName"] = "SalepresentativeID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","SalepresentativeID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "SalepresentativeID";

		$fdata["sourceSingle"] = "SalepresentativeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SalepresentativeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "salerepresentative";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "salereID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "PersonContact";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["SalepresentativeID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "SalepresentativeID";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["Noted"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "Noted";
//	resume
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "resume";
	$fdata["GoodName"] = "resume";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","resume");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "resume";

		$fdata["sourceSingle"] = "resume";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "resume";

		$fdata["DeleteAssociatedFile"] = true;

	
		$fdata["UploadCodeExpression"] = true;

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
						$vdata["ShowFileSize"] = true;
			$vdata["ShowIcon"] = true;
			$vdata["DisplayPDF"] = true;
		
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["resume"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "resume";
//	StatusID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "StatusID";
	$fdata["GoodName"] = "StatusID";
	$fdata["ownerTable"] = "seeker_info";
	$fdata["Label"] = GetFieldLabel("seeker_info","StatusID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "StatusID";

		$fdata["sourceSingle"] = "StatusID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StatusID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_info["StatusID"] = $fdata;
		$tdataseeker_info[".searchableFields"][] = "StatusID";


$tables_data["seeker_info"]=&$tdataseeker_info;
$field_labels["seeker_info"] = &$fieldLabelsseeker_info;
$fieldToolTips["seeker_info"] = &$fieldToolTipsseeker_info;
$placeHolders["seeker_info"] = &$placeHoldersseeker_info;
$page_titles["seeker_info"] = &$pageTitlesseeker_info;


changeTextControlsToDate( "seeker_info" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["seeker_info"] = array();
//	seeker_appoint_interview
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="seeker_appoint_interview";
		$detailsParam["dOriginalTable"] = "seeker_appoint_interview";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "seeker_appoint_interview";
	$detailsParam["dCaptionTable"] = GetTableCaption("seeker_appoint_interview");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["seeker_info"][$dIndex] = $detailsParam;

	
		$detailsTablesData["seeker_info"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["seeker_info"][$dIndex]["masterKeys"][]="seeker_ID";

				$detailsTablesData["seeker_info"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["seeker_info"][$dIndex]["detailKeys"][]="SeekerID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["seeker_info"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_seeker_info()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "seeker_ID,  	FirstName,  	LastName,  	Dob,  	age,  	ProvinceID,  	DistrictID,  	VillageName,  	PositionApplyID,  	SubpositionApplyID,  	SalepresentativeID,  	Noted,  	resume,  	StatusID";
$proto0["m_strFrom"] = "FROM seeker_info";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "seeker_ID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto6["m_sql"] = "seeker_ID";
$proto6["m_srcTableName"] = "seeker_info";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "FirstName",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto8["m_sql"] = "FirstName";
$proto8["m_srcTableName"] = "seeker_info";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "LastName",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto10["m_sql"] = "LastName";
$proto10["m_srcTableName"] = "seeker_info";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Dob",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto12["m_sql"] = "Dob";
$proto12["m_srcTableName"] = "seeker_info";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "age",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto14["m_sql"] = "age";
$proto14["m_srcTableName"] = "seeker_info";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "ProvinceID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto16["m_sql"] = "ProvinceID";
$proto16["m_srcTableName"] = "seeker_info";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "DistrictID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto18["m_sql"] = "DistrictID";
$proto18["m_srcTableName"] = "seeker_info";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "VillageName",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto20["m_sql"] = "VillageName";
$proto20["m_srcTableName"] = "seeker_info";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "PositionApplyID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto22["m_sql"] = "PositionApplyID";
$proto22["m_srcTableName"] = "seeker_info";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "SubpositionApplyID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto24["m_sql"] = "SubpositionApplyID";
$proto24["m_srcTableName"] = "seeker_info";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "SalepresentativeID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto26["m_sql"] = "SalepresentativeID";
$proto26["m_srcTableName"] = "seeker_info";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto28["m_sql"] = "Noted";
$proto28["m_srcTableName"] = "seeker_info";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "resume",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto30["m_sql"] = "resume";
$proto30["m_srcTableName"] = "seeker_info";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "StatusID",
	"m_strTable" => "seeker_info",
	"m_srcTableName" => "seeker_info"
));

$proto32["m_sql"] = "StatusID";
$proto32["m_srcTableName"] = "seeker_info";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "seeker_info";
$proto35["m_srcTableName"] = "seeker_info";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "seeker_ID";
$proto35["m_columns"][] = "FirstName";
$proto35["m_columns"][] = "LastName";
$proto35["m_columns"][] = "Dob";
$proto35["m_columns"][] = "age";
$proto35["m_columns"][] = "ProvinceID";
$proto35["m_columns"][] = "DistrictID";
$proto35["m_columns"][] = "VillageName";
$proto35["m_columns"][] = "PositionApplyID";
$proto35["m_columns"][] = "SubpositionApplyID";
$proto35["m_columns"][] = "SalepresentativeID";
$proto35["m_columns"][] = "Noted";
$proto35["m_columns"][] = "resume";
$proto35["m_columns"][] = "StatusID";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "seeker_info";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "seeker_info";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="seeker_info";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_seeker_info = createSqlQuery_seeker_info();


	
		;

														

$tdataseeker_info[".sqlquery"] = $queryData_seeker_info;



$tdataseeker_info[".hasEvents"] = false;

?>